package com.yoho.opsmanager.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component("sendsmsConfig")
public class SendsmsConfig {

	@Value("${sendsms.url}")
	private String sendsmsUrl;// url

	@Value("${sendsms.username}")
	private String userName;// 用户名

	@Value("${sendsms.pwd}")
	private String pwd;// 密码

	@Value("${sendsms.notice.productid}")
	private String noticeProductid;// 产品id

	@Value("${qcloud_sms_key}")
	private String qcloudSmsKey;

	@Value("${qcloud_sms_url}")
	private String qcloudSmsUrl;

	public String getSendsmsUrl() {
		return sendsmsUrl;
	}

	public String getUserName() {
		return userName;
	}

	public String getPwd() {
		return pwd;
	}

	public String getNoticeProductid() {
		return noticeProductid;
	}

	public String getQcloudSmsKey() {
		return qcloudSmsKey;
	}

	public String getQcloudSmsUrl() {
		return qcloudSmsUrl;
	}
}
