package com.yoho.opsmanager.common.util;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * Created by zhengyouwei on 2016/6/22.
 */
public class ReportCount {

    private static final AtomicInteger atomicInteger = new AtomicInteger(1);
    
    public static int getAndIncrement() {
        return atomicInteger.getAndIncrement();
    }

    public static int getIncrement() {
        return atomicInteger.get();
    }

    /**
     * 错误总次数
     */
    private static final AtomicInteger errorSum = new AtomicInteger(1);
    
    public static int getErrorSum() {
        return errorSum.getAndIncrement();
    }
    
    public static void setErrorSum(int i) {
        errorSum.set(i);
    }
}