package com.yoho.opsmanager.dao.mapper;

import org.influxdb.dto.BatchPoints;
import org.influxdb.dto.Point;
import org.influxdb.dto.QueryResult;

/**
 * Created by yoho on 2016/5/24.
 */
public interface ClientReportMapper {

    void write(BatchPoints batchPoints);

    void write(Point point);

    void writeData(Point point);

    QueryResult getYestodayCount();

    QueryResult selectReportByGroupI(String table, int miniute);

    QueryResult selectReportByGroupO(String table, int miniute);

    QueryResult selectClientByGroup(String table,int miniute);

    QueryResult selectByDay(String table);

    QueryResult selectEffectUid(String table, String dm, String av, String client, String osv, String exceptionType);


}
