package com.yoho.opsmanager.global.service;

import com.yoho.mysql.local.entity.AreaControl;
import com.yoho.opsmanager.mysql.local.mapper.MAreaControlMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by zhengyouwei on 2016/8/3.
 */
@Component
public class AreaLocal {

    @Autowired
    private MAreaControlMapper mAreaControlMapper;

    Map<String,String> map = new HashMap<>();

    @PostConstruct
    public void init(){
        List<AreaControl> list = mAreaControlMapper.select();
        for (AreaControl areaControl : list){
            map.put(String.valueOf(areaControl.getId()),areaControl.getCaption());
            map.put(areaControl.getCaption(),String.valueOf(areaControl.getId()));
        }
    }

    public String getNameByCode(String code){
        return map.get(code);
    }

    public String getCodeByname(String name){
        if(map.containsKey(name+"省")){
            return map.get(name+"省");
        }else  if(map.containsKey(name+"市")){
            return map.get(name+"市");
        }else{
            return null;
        }
    }

}
