package com.yoho.opsmanager.mysql.local.mapper;


import com.yoho.mysql.local.entity.OrderInfoCheck;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created by yoho on 2016/5/24.
 */
public interface MOrderCheckErrorMapper {

     void insert(OrderInfoCheck orderInfoCheck);

	/**
	 * 查询总记录条数
	 * @return
	 */
	int selectOrderCount();

	/**
	 * 根据当前页和每页显示的条数查询数据
	 * @param limitCount
	 * @param offsetCount
	 * @return
	 */
	List<OrderInfoCheck> selectOrderCheck(@Param("limitCount")int limitCount, @Param("offsetCount")int offsetCount);

	/**
	 * 根据ID查body
	 * @param id
	 * @return
	 */
	public String selectBodyByid(@Param("id")int id);

	/**
	 * 根据ID查body
	 * @param id
	 * @return
	 */
	public void updateSendStatus(@Param("id")int id);

	/**
	 * 根据ID查所有
	 * @param id
	 * @return
	 */
	public OrderInfoCheck selectByid(@Param("id")int id);
}
