package com.yoho.opsmanager.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component("systemConfig")
public class SystemConfig {

	/**
	 * 系统环境
	 */
	@Value("${system.envi}")
	private String systemEnvi;

	/**
	 * 大数据
	 */
	@Value("${bigdata.uid.location.url}")
	private String bigdataurl;

	public String getSystemEnvi() {
		return systemEnvi;
	}

	public String getBigdataurl() {
		return bigdataurl;
	}
}
