package com.yoho.opsmanager.common.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by yoho on 2016/6/2.
 */
public class ValueFormatUtil {

    private static Logger logger = LoggerFactory.getLogger(ValueFormatUtil.class);

    /**
     * 将String转换成int
     *
     * @param intStr
     * @param className
     * @param methodName
     * @return
     */
    public static int parseStringToInt(String intStr, String className, String methodName) {
        try {
            return Integer.valueOf(intStr);
        } catch (Exception e) {
            logger.error("parse page int from page string failure Class: " +
                    className + "  method: " + methodName +
                    " | error:" + e.toString());
            return 0;
        }
    }
}
