package org.yoho.opsmanager.dao;

import com.yoho.opsmanager.common.contants.DataBaseContants;
import org.influxdb.InfluxDB;
import org.influxdb.InfluxDBFactory;
import org.influxdb.dto.BatchPoints;
import org.influxdb.dto.Point;

/**
 * Created by zhengyouwei on 2016/8/3.
 */
public class WriteTest {

    public static void main(String[] args) {
        InfluxDB influxDB = InfluxDBFactory.connect("http://aws-influx-api.yohops.com","root", "root");
        BatchPoints batchPoints = BatchPoints.database(DataBaseContants.YOHO_EVENT).retentionPolicy("default").build();
        Point.Builder build = Point.measurement("yh_logs");
        build.tag("context","gateway");
        build.tag("event","ELECTRONIC_INVOICE");
        build.tag("host","ELECTRONIC_INVOICE");
        build.addField("ip","172.16.6.218");
        build.addField("order_code","it's test");
        build.addField("response","172.16.6.218");
        batchPoints.point(build.build());
        influxDB.write(batchPoints);

    }

}
