package com.yoho.opsmanager.global.service.impl;

import com.yoho.opsmanager.global.service.MailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Service;
import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;

/**
 * Created by yoho on 2016/7/6.
 */
@Service("mailService")
public class MailServiceImpl implements MailService{

    @Autowired
    private JavaMailSenderImpl senderImpl;

    @Override
    public boolean sendHTMLMail(String html) throws MessagingException {
        MimeMessage mailMessage = senderImpl.createMimeMessage();
        MimeMessageHelper messageHelper = new MimeMessageHelper(mailMessage);
        messageHelper.setTo("710391009@qq.com");
        messageHelper.setFrom("wuyuxin1993@163.com");
        messageHelper.setSubject( "测试HTML邮件！");
        messageHelper.setText("<html><head></head><body><h1>hello!!spring html Mail</h1></body></html>", true);
        senderImpl.send(mailMessage);
        return false;
    }
}