package com.yoho.opsmanager.other.model.response;

import java.io.Serializable;


public class BaseRespone<T> implements Serializable{
	
	private int code;
	
	private String message;
	
	private T data;
	
	public static BaseRespone successResp(Object o ){
		BaseRespone base = new BaseRespone();
		base.setCode(200);
		base.setMessage("success");
		base.setData(o);
		return base;
	}
	
	public static BaseRespone failResp(String message){
		BaseRespone base = new BaseRespone();
		base.setCode(2);
		base.setMessage(message);
		return base;
	}
	
    public int getCode() {
    	return code;
    }

	
    public void setCode(int code) {
    	this.code = code;
    }

	
    public String getMessage() {
    	return message;
    }

	
    public void setMessage(String message) {
    	this.message = message;
    }

	
    public T getData() {
    	return data;
    }

	
    public void setData(T data) {
    	this.data = data;
    }
	
	

}
